Bug 1074609 - dracut on Fedora 20 has intermittent problems with LUKS
Summary: dracut on Fedora 20 has intermittent problems with LUKS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-10 16:04 UTC by H. Peter Anvin
Modified: 2014-04-06 02:37 UTC (History)
2 users (show)

Fixed In Version: dracut-037-10.git20140402.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-06 02:37:49 UTC


Attachments (Terms of Use)

Description H. Peter Anvin 2014-03-10 16:04:03 UTC
Description of problem:
Since upgrading to Fedora 20, dracut sometimes fails to set up all LUKS volumes.  Pressing <Esc> shows it sitting in a loop doing "Crypto setup for <volume>", where <volume> is the same number for every iteration.

The end result is that a boot takes a long time, or even fails (maybe ~20% of the time?).  Oddly enough sometimes (~25% of the time) it works fine without problems or undue delays (which is why this isn't a complete disaster.)

Version-Release number of selected component (if applicable):
dracut-034-64.git20131205.fc20.1.x86_64

How reproducible:
MOST boots have excessive delays.
SOME boots fail.

Steps to Reproduce:
1. Have a system with multiple LUKS volumes
2. It might be relevant that this is an F19 system upgraded to F20?
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2014-04-02 08:57:38 UTC
dracut-037-10.git20140402.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dracut-037-10.git20140402.fc20

Comment 2 Fedora Update System 2014-04-03 04:04:08 UTC
Package dracut-037-10.git20140402.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-037-10.git20140402.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4704/dracut-037-10.git20140402.fc20
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-04-06 02:37:49 UTC
dracut-037-10.git20140402.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.